package org.black_ixx.bossshop.points;

import org.black_ixx.bossshop.BossShop;
import org.bukkit.OfflinePlayer;

public abstract class IPointsAPI{

    protected final String name;
    protected BossShop mPlugin;

    public IPointsAPI(BossShop pPlugin,String name){
        this.mPlugin=pPlugin;
        this.name=name;
    }

    public String getName(){
        return name;
    }

    public abstract int getPoints(OfflinePlayer player);

    public abstract int setPoints(OfflinePlayer player,int points);

    public abstract int takePoints(OfflinePlayer player,int points);

    public abstract int givePoints(OfflinePlayer player,int points);

    public void register(){
        PointsAPI.register(this);
    }

}
